my $pausehintcontext = defined($main::pluginconfig{'pausehint'}{'hint_context'}{''})?$main::pluginconfig{'pausehint'}{'hint_context'}{''}:'ext-queues';

$AMI_Event_Handler{'pausehint'}{'QUEUEMEMBERPAUSED'} = sub {
    my $event = shift;
    my @allreturn = ();
    my $return = '';

    my $queue       = ${$event}{'Queue'};
    my $agentnumber      = defined(${$event}{'Interface'})?${$event}{'Interface'}:${$event}{'Location'};  #Interface Asterisk 13, Location Asterisk 11
    $agentnumber =~ s|([^/]*)/([^\@-]*)(.*)|$2|;

    $return  = "Action: Command\r\n";
    $return .= "Command: dialplan add extension *99*$agentnumber*$queue,hint,Custom:queuepause$agentnumber*$queue into $pausehintcontext replace\r\n";
    $return .= "\r\n";
    push @allreturn, $return;

    $return  = "Action: Command\r\n";
    $return .= "Command: dialplan add extension *99*$agentnumber*all,hint,Custom:queuepause$agentnumber*all into $pausehintcontext replace\r\n";
    $return .= "\r\n";
    push @allreturn, $return;

    if(${$event}{Paused}==1) {

      $return  = "Action: Command\r\n";
      $return .= "Command: devstate change Custom:queuepause$agentnumber*$queue INUSE\r\n";
      $return .= "\r\n";
      push @allreturn, $return;

      $return  = "Action: Command\r\n";
      $return .= "Command: devstate change Custom:queuepause$agentnumber*all INUSE\r\n";
      $return .= "\r\n";
      push @allreturn, $return;

    } else {
      $return  = "Action: Command\r\n";
      $return .= "Command: devstate change Custom:queuepause$agentnumber*$queue NOT_INUSE\r\n";
      $return .= "\r\n";
      push @allreturn, $return;

      $return  = "Action: Command\r\n";
      $return .= "Command: devstate change Custom:queuepause$agentnumber*all NOT_INUSE\r\n";
      $return .= "\r\n";
      push @allreturn, $return;

    }

    return @allreturn;
};
